# Execute order

## POST /v1/swaps/amm/execute-order

> Execute publishes a signed PSBT for an AMM swap.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/swaps/amm/execute-order":{"post":{"tags":["Swaps"],"description":"Execute publishes a signed PSBT for an AMM swap.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"providerCode":{"type":"string"},"orderId":{"type":"string"},"psbt":{"type":"string"},"btcAddress":{"type":"string"},"btcPubKey":{"type":"string"},"ordAddress":{"type":"string"},"ordPubKey":{"type":"string"},"identifier":{"type":"string"}},"required":["providerCode","psbt","btcAddress","btcPubKey","ordAddress","ordPubKey"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"txid":{"type":"string"}},"required":["txid"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
